Loading...
Searching...
No Matches
Dune::Amg::GraphVertexPropertiesSelector< G > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Wrapper to access the internal edge properties of a graph via operator[](). More...

`#include <dune/istl/paamg/graph.hh>`

## Public Types

typedef G | Graph
| The type of the graph with internal properties.
typedef G::VertexProperties | VertexProperties
| The type of the vertex properties.
typedef G::VertexDescriptor | Vertex
| The vertex descriptor.

## Public Member Functions

| GraphVertexPropertiesSelector (G &g)
| Constructor.
| GraphVertexPropertiesSelector ()
| Default constructor.
VertexProperties & | operator[] (const Vertex &vertex) const
| Get the properties associated to a vertex.

## Detailed Description

template<typename G>
class Dune::Amg::GraphVertexPropertiesSelector< G >

Wrapper to access the internal edge properties of a graph via operator[]().

## Member Typedef Documentation

## Graph

template<typename G>

typedef G Dune::Amg::GraphVertexPropertiesSelector< G >::Graph

The type of the graph with internal properties.

## Vertex

template<typename G>

typedef G::VertexDescriptor Dune::Amg::GraphVertexPropertiesSelector< G >::Vertex

The vertex descriptor.

## VertexProperties

template<typename G>

typedef G::VertexProperties Dune::Amg::GraphVertexPropertiesSelector< G >::VertexProperties

The type of the vertex properties.

## Constructor & Destructor Documentation

## GraphVertexPropertiesSelector() [1/2]

template<typename G>

Dune::Amg::GraphVertexPropertiesSelector< G >::GraphVertexPropertiesSelector | ( | G & | g | ) |

inline

Constructor.

Parameters

  g | The graph whose properties we access.

## GraphVertexPropertiesSelector() [2/2]

template<typename G>

Dune::Amg::GraphVertexPropertiesSelector< G >::GraphVertexPropertiesSelector | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

## operator[]()

template<typename G>

VertexProperties & Dune::Amg::GraphVertexPropertiesSelector< G >::operator[] | ( | const Vertex & | vertex | ) | const

inline

Get the properties associated to a vertex.

Parameters

  vertex | The vertex whose Properties we want.

The documentation for this class was generated from the following file:

- graph.hh